# NOTE: for versions >= 3.2 (for python 3.6+) see python3-markdown.spec
#
# Conditional build:
%bcond_with	doc	# documentation
%bcond_without	tests	# unit tests
%bcond_without	python2	# python2 package
%bcond_with	python3	# python3 package (built from python3-markdown.spec)

%define 	module	markdown
Summary:	Markdown implementation in Python 2
Summary(pl.UTF-8):	Implementacja formatu Markdown w Pythonie 2
Name:		python-%{module}
# keep 3.1.x here for python2 support
Version:	3.1.1
Release:	2
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/markdown/
Source0:	https://files.pythonhosted.org/packages/source/M/Markdown/Markdown-%{version}.tar.gz
# Source0-md5:	d84732ecc65b3a1bff693d9d4c24277f
URL:		https://pypi.org/project/markdown/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools >= 36
%if %{with tests}
BuildRequires:	python-PyYAML
%endif
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.5
BuildRequires:	python3-setuptools >= 36
%if %{with tests}
BuildRequires:	python3-PyYAML
%endif
%endif
%if %{with doc}
BuildRequires:	python-mkdocs >= 1.0
BuildRequires:	python-mkdocs-nature
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Provides:	python-Markdown = %{version}-%{release}
Obsoletes:	python-Markdown < 2.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Python 2 implementation of John Gruber's Markdown. It is
almost completely compliant with the reference implementation, though
there are a few known issues.

%description -l pl.UTF-8
Ten pakiet zawiera implementację formatu Markdown Johna Grubera w
Pythonie 2. Jest prawie całkowicie zgodna z implementacją wzorcową,
choć jest kilka znanych problemów.

%package -n python3-markdown
Summary:	Markdown implementation in Python 3
Summary(pl.UTF-8):	Implementacja formatu Markdown w Pythonie 3
Group:		Development/Languages/Python
Conflicts:	python-markdown < 3

%description -n python3-markdown
This is a Python 3 implementation of John Gruber's Markdown. It is
almost completely compliant with the reference implementation, though
there are a few known issues.

%description -n python3-markdown -l pl.UTF-8
Ten pakiet zawiera implementację formatu Markdown Johna Grubera w
Pythonie 3. Jest prawie całkowicie zgodna z implementacją wzorcową,
choć jest kilka znanych problemów.

%prep
%setup -q -n Markdown-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
%{__python} -m unittest discover tests
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
%{__python3} -m unittest discover tests
%endif
%endif

%if %{with doc}
mkdocs-2
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
# rename binary
%{__mv} $RPM_BUILD_ROOT%{_bindir}/markdown_py{,-%{py_ver}}
%endif

%if %{with python3}
%py3_install
# rename binary
%{__mv} $RPM_BUILD_ROOT%{_bindir}/markdown_py{,-%{py3_ver}}
# default binary
ln -s markdown_py-%{py3_ver} $RPM_BUILD_ROOT%{_bindir}/markdown_py
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE.md README.md docs/{change_log,extensions,authors.md,cli.md,favicon.ico,index.md,py.png,reference.md}
%attr(755,root,root) %{_bindir}/markdown_py-%{py_ver}
%{py_sitescriptdir}/markdown
%{py_sitescriptdir}/Markdown-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-markdown
%defattr(644,root,root,755)
%doc LICENSE.md README.md docs/{change_log,extensions,authors.md,cli.md,favicon.ico,index.md,py.png,reference.md}
%attr(755,root,root) %{_bindir}/markdown_py
%attr(755,root,root) %{_bindir}/markdown_py-%{py3_ver}
%{py3_sitescriptdir}/markdown
%{py3_sitescriptdir}/Markdown-%{version}-py*.egg-info
%endif
%changelog
* Fri Feb 26 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-markdown.git;a=log;h=master

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> ed2c81a
- release 2 (by relup.sh)

* Mon Jan 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 9a8cda6
- disable python3 here, use py2 mkdocs

* Mon Jan 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 0d81595
- added doc BRs

* Wed Jan 01 2020 Jakub Bogusz <qboosh@pld-linux.org> 24f34a9
- add Conflicts to handle default script move

* Wed Jan 01 2020 Jakub Bogusz <qboosh@pld-linux.org> 24e2a6a
- python-modules 2.7 already contains elementtree

* Tue Dec 31 2019 Jakub Bogusz <qboosh@pld-linux.org> c105842
- updated to 3.1.1
- removed obsolete yaml patch
- moved default binary to python3

* Tue Dec 31 2019 Jakub Bogusz <qboosh@pld-linux.org> f8e0eed
- updated URLs

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 28292b0
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sat Mar 23 2019 Jakub Bogusz <qboosh@pld-linux.org> 4c99705
- updated to 2.6.11
- added yaml patch (fix for PyYAML 5.1, partially from git)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ab2b94
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 0502bce
- python 3.6
- release 2 (by relup.sh)

* Thu Oct 13 2016 Jakub Bogusz <qboosh@pld-linux.org> cc59a98
- standard build-base works now

* Thu Oct 13 2016 Jakub Bogusz <qboosh@pld-linux.org> f8804a5
- updated to 2.6.7

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 5c6b71d
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5a869a1
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d44221e
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 49a878e
- up to 2.6.2

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> fb64956
- release 5 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b09bd96
- python 3.5 rebuild
- release 4 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 4052415
- python 3.4
- release 3 (by relup.sh)

